# Delete stale resources

Deletes stale resources for a workspace that don't belong to the current session.

Endpoint: DELETE /iacm/api/orgs/{org}/projects/{project}/workspaces/{workspace}/resources/stale
Version: 1.0
Security: x-api-key

## Path parameters:

  - `org` (string, required)
    Org is the organisation identifier.
    Example: "n"

  - `project` (string, required)
    Project is the project identifier.
    Example: "vi"

  - `workspace` (string, required)
    Workspace identifier
    Example: "Sed assumenda qui sed occaecati."

## Header parameters:

  - `Harness-Account` (string, required)
    Account is the internal customer account ID.
    Example: "f47"

## Request fields (application/json):

  - `session_id` (string, required)
    Current session ID - resources not matching this will be deleted
    Example: "82349683-8b0f-4b0f-ab64-73959ba04769"

## Response 200 fields (application/json):

  - `deleted_count` (integer, required)
    Number of stale resources deleted
    Example: 223495945632239000

## Response 401 fields (application/vnd.goa.error):

  - `fault` (boolean, required)
    Is the error a server-side fault?
    Example: true

  - `id` (string, required)
    ID is a unique identifier for this particular occurrence of the problem.
    Example: "123abc"

  - `message` (string, required)
    Message is a human-readable explanation specific to this occurrence of the problem.
    Example: "parameter 'p' must be an integer"

  - `name` (string, required)
    Name is the name of this class of errors.
    Example: "bad_request"

  - `temporary` (boolean, required)
    Is the error temporary?
    Example: true

  - `timeout` (boolean, required)
    Is the error a timeout?


